<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\Anmeldung\HandleAnmeldungEinzelveranstaltung;

class HandleAnmeldungEinzelveranstaltungUseCase extends \Kufer\Web\KuferTools\Basis\Anmeldung\HandleAnmeldungEinzelveranstaltung\HandleAnmeldungEinzelveranstaltungUseCase
{
  public function __construct($request)
  {
    parent::__construct($request);
  }

  public static function getToolSectionId()
  {
    return 434;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_ANMELDUNGBUCHEN_MA;
  }

  protected function getKursHelper(): \Kufer\Web\KuferTools\Utils\DatamodulHelper\Kurse\KursHelper
  {
    return new \Kufer\Web\KuferTools\Utils\DatamodulHelper\Kurse\MitarbeiterAnmeldungKurse($this->toolSettings, $this->getUser(), array());
  }
}

class HandleAnmeldungEinzelveranstaltungRequest extends \Kufer\Web\KuferTools\Basis\Anmeldung\HandleAnmeldungEinzelveranstaltung\HandleAnmeldungEinzelveranstaltungRequest
{
}

class HandleAnmeldungEinzelveranstaltungResponse extends \Kufer\Web\KuferTools\Basis\Anmeldung\HandleAnmeldungEinzelveranstaltung\HandleAnmeldungEinzelveranstaltungResponse
{
}